## ros-foxy-moveit-plugins 2.2.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(moveit_plugins)
find_package(ament_cmake REQUIRED)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-foxy-moveit-plugins (2.2.3-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 07 Jan 2022 07:00:00 -0000

ros-foxy-moveit-plugins (2.2.2-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Tue, 16 Nov 2021 07:00:00 -0000

ros-foxy-moveit-plugins (2.2.1-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 12 Jul 2021 06:00:00 -0000

ros-foxy-moveit-plugins (2.2.0-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 30 Jun 2021 06:00:00 -0000

ros-foxy-moveit-plugins (2.1.4-1focal) focal; urgency=high

  * Delete MoveIt fake_controller_manager (#471 <https://github.com/ros-planning/moveit2/issues/471>)
  * Contributors: AndyZe

 -- Michael Görner <me@v4hn.de>  Mon, 31 May 2021 06:00:00 -0000

ros-foxy-moveit-plugins (2.1.3-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 22 May 2021 06:00:00 -0000

ros-foxy-moveit-plugins (2.1.2-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Tue, 20 Apr 2021 06:00:00 -0000

ros-foxy-moveit-plugins (2.1.1-1focal) focal; urgency=high

  * Enable ament_lint tests (#340 <https://github.com/ros-planning/moveit2/issues/340>)
  * Compile metapackages
  * Contributors: Henning Kayser, Tyler Weaver

 -- Michael Görner <me@v4hn.de>  Mon, 12 Apr 2021 06:00:00 -0000

ros-foxy-moveit-plugins (2.1.0-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 23 Nov 2020 07:00:00 -0000

ros-foxy-moveit-plugins (2.0.0-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 17 Feb 2020 07:00:00 -0000

ros-foxy-moveit-plugins (1.1.1-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Tue, 13 Oct 2020 06:00:00 -0000

ros-foxy-moveit-plugins (1.1.0-1focal) focal; urgency=high

  * [feature] Use standard cmake text for metapackages (#1620 <https://github.com/ros-planning/moveit/issues/1620>)
  * [feature] Use CMAKE_CXX_STANDARD to enforce c++14 for portability (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [maint] Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * Contributors: Dave Coleman, Jonathan Binney, Robert Haschke, Sean Yen, Tyler Weaver

 -- Michael Görner <me@v4hn.de>  Fri, 04 Sep 2020 06:00:00 -0000

ros-foxy-moveit-plugins (1.0.6-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 19 Aug 2020 06:00:00 -0000

ros-foxy-moveit-plugins (1.0.5-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 08 Jul 2020 06:00:00 -0000

ros-foxy-moveit-plugins (1.0.4-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 30 May 2020 06:00:00 -0000

ros-foxy-moveit-plugins (1.0.3-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 26 Apr 2020 06:00:00 -0000

ros-foxy-moveit-plugins (1.0.2-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 28 Jun 2019 06:00:00 -0000

ros-foxy-moveit-plugins (1.0.1-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 08 Mar 2019 07:00:00 -0000

ros-foxy-moveit-plugins (1.0.0-1focal) focal; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Robert Haschke

 -- Michael Görner <me@v4hn.de>  Sun, 24 Feb 2019 07:00:00 -0000

ros-foxy-moveit-plugins (0.10.8-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 24 Dec 2018 07:00:00 -0000

ros-foxy-moveit-plugins (0.10.7-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Thu, 13 Dec 2018 07:00:00 -0000

ros-foxy-moveit-plugins (0.10.6-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 09 Dec 2018 07:00:00 -0000

ros-foxy-moveit-plugins (0.10.5-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Thu, 01 Nov 2018 06:00:00 -0000

ros-foxy-moveit-plugins (0.10.4-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 29 Oct 2018 06:00:00 -0000

ros-foxy-moveit-plugins (0.10.3-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 29 Oct 2018 06:00:00 -0000

ros-foxy-moveit-plugins (0.10.2-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 24 Oct 2018 06:00:00 -0000

ros-foxy-moveit-plugins (0.10.1-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 25 May 2018 06:00:00 -0000

ros-foxy-moveit-plugins (0.9.11-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 25 Dec 2017 07:00:00 -0000

ros-foxy-moveit-plugins (0.9.10-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 09 Dec 2017 07:00:00 -0000

ros-foxy-moveit-plugins (0.9.9-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 06 Aug 2017 06:00:00 -0000

ros-foxy-moveit-plugins (0.9.8-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 21 Jun 2017 06:00:00 -0000

ros-foxy-moveit-plugins (0.9.7-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 05 Jun 2017 06:00:00 -0000

ros-foxy-moveit-plugins (0.9.6-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 12 Apr 2017 06:00:00 -0000

ros-foxy-moveit-plugins (0.9.5-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 08 Mar 2017 07:00:00 -0000

ros-foxy-moveit-plugins (0.9.4-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 06 Feb 2017 07:00:00 -0000

ros-foxy-moveit-plugins (0.9.3-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 16 Nov 2016 07:00:00 -0000

ros-foxy-moveit-plugins (0.5.7-1focal) focal; urgency=high

  * added moveit_ros_control_interface to meta-package
  * Contributors: Mathias Lüdtke

 -- Michael Görner <me@v4hn.de>  Sat, 30 Jan 2016 07:00:00 -0000

ros-foxy-moveit-plugins (0.5.6-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 23 Mar 2014 06:00:00 -0000

ros-foxy-moveit-plugins (0.5.5-1focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 30 Sep 2013 06:00:00 -0000

ros-foxy-moveit-plugins (0.5.4-1focal) focal; urgency=high





=== debian/control ===
Source: ros-foxy-moveit-plugins
Section: misc
Priority: optional
Maintainer: Michael Görner <me@v4hn.de>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-foxy-moveit-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-moveit-simple-controller-manager, ros-foxy-ros-workspace
Description: Metapackage for MoveIt plugins.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-moveit-plugins//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
